{ config, pkgs, ... }:

let
  settings = import ../settings.nix;
in
{
  networking.hostName = settings.hostname;

  networking.networkmanager = {
    enable = true;
    wifi.scanRandMacAddress = true;
  };

  networking.firewall = {
    enable = true;

    # Allowed ports
    allowedTCPPorts = [
      # SyncThing
      8384 22000
    ];
    allowedUDPPorts = [

      # SyncThing
      22000 21027
    ];
  };

  networking.nameservers = [ "1.1.1.1" "9.9.9.9" ];
  services.resolved = {
    enable = true;
    dnsovertls = "opportunistic";
    fallbackDns = [ "1.0.0.1" "149.112.112.112" ];
  };
}
